Subject: Re: [RFC] per-user ignore file

From: "J. Bruce Fields" <[email-masked]>
Date: Mon, 30 Jul 2007 16:36:05 -0400

On Mon, Jul 30, 2007 at 04:28:13PM -0400, Daniel Barkalow wrote:
> It would be nice to have a per-user ignore file, so that emacs users can 
> ignore "*~", "#*#", and ".#*". Probably this should be in the form of 
> having a config option for additional ignore file names, so that the user 
> can decide where to put it. (E.g., ~/.gitignore would be an issue if the 
> user is tracking their home directory with git and wants to ignore some 
> files in the home directory repository but track similarly named files in 
> some other repository). Are there any fundamental issues with this, or is 
> it just that nobody's been sufficiently motivated to do it?

See 'man gitignore' or

http://www.kernel.org/pub/software/scm/git/docs/user-manual.html#ignoring-files

--b.